Table of Contents

Class: IReactorTCP | Twisted-0.19.0/twisted/internet/interfaces.py
--- | ---
Base Classes |
--- | ---
Interface
Methods |
--- | ---
clientTCP listenTCP
| clientTCP
    clientTCP (
            self,
            host,
            port,
            protocol,
            timeout=30,
            )
### Connect a TCP client. #### Arguments: host: a host name port: a port number protocol: a twisted.internet.protocol.Protocol instance timeout: number of seconds to wait before assuming the connection has failed.
| listenTCP
    listenTCP (
            self,
            port,
            factory,
            backlog=5,
            interface='',
            )
Connects a given protocol factory to the given numeric TCP/IP port.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:41 2002 by HappyDoc version 2.0